/* 100% de la altura de la ventana */
:host { 
    display: block;
    height: 100vh; 
    margin: 0;    
    padding: 0;
}
.bgfondosaad{
    background-color: #356699 !important;
    min-height: 100vh;
}
.bgimgizq {
    background-image: url("../img/login/tbl_abajo_izq.jpg");
    background-size: 100%;
    background-size: cover;
}
.cardloginsaad{
    margin-left: 11px;
    margin-right: 11px;
    background: transparent;
    border-color: rgb(192, 192, 192);
    border-radius: 0;
    color: white;
}
.txtloginsaad{
    width: 109px;
    height: 22px;
    border-radius: 0px;
    padding: 0px 2px;
}
.txtloginsaad:focus{
    box-shadow: 0 0 0 0.15rem #becfe8;
}
.btnloginsaad{
    border-radius: 0px;
    padding: 2px 8px 2px 8px;
    margin: 0px;
    font-size: 13px;
}
.ng-invalid:not(form).ng-touched{
    border-left: 5px solid #a94442;
}
.ng-valid:not(form).ng-touched{
    border-left: 5px solid #42A948;
}
.limite-texto {
  max-width: 223px;  /* Ancho máximo permitido */
  white-space: nowrap;  /* Evita que el texto haga salto de línea */
  overflow: hidden;  /* Oculta el texto que sobrepasa el ancho */
  text-overflow: ellipsis;  /* Muestra los "..." cuando el texto es muy largo */
  padding: 5px;
}